Skip to main content

Get Quote

POST /papi/v1/ramp/connect/prime/quote

Request Body​

FieldTypeMandatoryRemarks
userIdstringYesCustomer’s Binance sub-account ID
fiatCurrencystringYesfiat currency
cryptoCurrencystringYescrypto currency
directionstringYesBUY or SELL
amountdecimalYesRequested amount.
amountTypeintYesSpecify whether the total amount is in fiat:1 or crypto:2
customSpreaddecimalYesSpecify the custom spread value. For example, 0.01 means a 1% spread (0.01 = 1%).

Example​

{
"userId": "54321123456",
"fiatCurrency": "EUR",
"cryptoCurrency": "USDT",
"direction": "BUY",
"amount": 100,
"amountType": 1,
"customSpread": 0.01
}
curl -X POST https://{domain}/papi/v1/ramp/connect/prime/quote \
-H 'Content-Type: application/json' \
-H 'X-Tesla-ClientId: {your client id}' \
-H 'X-Tesla-SignAccessToken: {your access token}' \
-H 'X-Tesla-Timestamp: {now}' \
-H 'X-Tesla-Signature: {signature}' \
-d '{"userId":"{testUserId}","fiatCurrency":"EUR","cryptoCurrency":"BNB","direction":"BUY","amount":10,"amountType":1,"customSpread":0.01}'

Response Body​

FieldTypeRemarks
quoteIdstringQuote ID
totalAmountstringtotal amount
quotePricestringPrice. 1 crypto currency= {price} fiat currency
expiredAttimestampExpired at millisecond timestamp
spreadAmountstringRevenue from Spread (in Fiat Currency)

Example​

{
"quoteId": "e064b9eacded478192c45110117926aaasdmladsoi",
"totalAmount": "114.70018989",
"quotePrice": "0.865734",
"expiredAt": 1756179222140,
"spreadAmount": "0.99"
}